############
# Secrets
# CHANGE THESE BEFORE GOING INTO PRODUCTION
############
SUPABASE_PASSWORD=postgres
JWT_SECRET=super-secret-jwt-token-with-at-least-32-characters-long

# Pre-generated demo keys (matching the JWT_SECRET above)
# These are NOT secure for production use!
# Generate new keys at: https://supabase.com/docs/guides/self-hosting#api-keys
ANON_KEY=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJzdXBhYmFzZS1kZW1vIiwicm9sZSI6ImFub24iLCJleHAiOjE5ODM4MTI5OTZ9.CRXP1A7WOeoJeXxjNni43kdQwgnWNReilDMblYTn_I0
SERVICE_ROLE_KEY=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJzdXBhYmFzZS1kZW1vIiwicm9sZSI6InNlcnZpY2Vfcm9sZSIsImV4cCI6MTk4MzgxMjk5Nn0.EGIM96RAZx35lJzdJsyH-qQwv8Hdp7fsn3W0YpN81IU
DASHBOARD_USERNAME=supabase
DASHBOARD_PASSWORD=supabase
SECRET_KEY_BASE=UpNVntn3cDxHJpq99YMc1T1AQgQpc8kfYTuRgBiYa15BLrx8etQoXz3gZv1/u2oq
VAULT_ENC_KEY=waR6DbaFKFaStG3qqHANsLYUwNR5Zm2aXn6Fh3qJ3VQ=

############
# Database
############
SUPABASE_PORT=5435
SUPABASE_DB=Northwind

############
# Supavisor -- Database pooler
############
POOLER_PORT=6543
POOLER_DEFAULT_POOL_SIZE=20
POOLER_MAX_CLIENT_CONN=100
POOLER_TENANT_ID=default-tenant

############
# API Proxy - Configuration for the Kong Reverse proxy.
############
SUPABASE_KONG_PORT=8100
SUPABASE_KONG_HTTPS_PORT=8143

############
# API - Configuration for PostgREST.
############
PGRST_DB_SCHEMAS=public,storage,graphql_public

############
# Auth - Configuration for the GoTrue authentication server.
############
SITE_URL=http://localhost:3100
ADDITIONAL_REDIRECT_URLS=
JWT_EXPIRY=3600
DISABLE_SIGNUP=false
API_EXTERNAL_URL=http://localhost:8100

############
# Studio - Configuration for the Dashboard
############
STUDIO_DEFAULT_ORGANIZATION=Default Organization
STUDIO_DEFAULT_PROJECT=Default Project
SUPABASE_PUBLIC_URL=http://localhost:8100

############
# Functions - Configuration for Edge Functions
############
FUNCTIONS_VERIFY_JWT=false

############
# Logs - Configuration for Analytics
############
LOGFLARE_PUBLIC_ACCESS_TOKEN=your-super-secret-and-long-logflare-key-public
LOGFLARE_PRIVATE_ACCESS_TOKEN=your-super-secret-and-long-logflare-key-private
DOCKER_SOCKET_LOCATION=/var/run/docker.sock

############
# Storage
############
STORAGE_TENANT_ID=stub
REGION=stub
